# Warehouses' Activities

## Goal
You will find in this [Dashboard](dashboard:WtmIArt) an overview of the activities in the warehouse. 

Specifically, the dashboard provides an answer to the following questions:
- Do I have enough docks opened to ensure the easy and smooth unloading of all trucks expected to arrive at the warehouse?
- What will be the usage of my docks this afternoon? 
- I have an unexpected event (delay of trucks, dock to be closed, ...)in 1 hour. How to reorganize the warehouse to minimize the overall waiting costs?
- When will the trucks arrive at the warehouse? What is the expected delivery delay and how to adapt the planning of the docks?


## Data
All the datasets used in the dashboards are located in the dark blue flow zones.
[Zone availability of docks before optimization](flow_zone:cl3h2Lk)
[Zone availability of docks after optimization](flow_zone:oWzdjQQ)
[Zone waiting costs of trucks ](flow_zone:fFi5DsM)

## Optimization results
The results presented in the *Optimization of delivery slots* tab of the dashboard mainly come from the optmization solver. Learn more on the optimization solver in the [Scenarios & Optimization article](article:7).

## Warehouse's indicators
In this tab, you'll find information from the trucks tracking system on the day of observation selected in the [Dataiku Application](article:11).
There are also the slots selected in the [Webapp](article:6).
You can find more information on the charts in the [Case Study - Dock Optimization article](article:10). 



## Get the Predicted delay per shipments
You can easily update this chart from truck ID to shipments ID:
![Prediction delay per truck ID.png](lAuWoyYY1B5E)
All you have to do is to edit the *trucks_ID_correspondence* dataset and change the file with the shipments in the trucks inside of the truck names:
![trucks_ID_correspondance.png](DCeoN9ChDgeA)


